@import url('s768/recruit.css');

#header {
  --header-bg: var(--header-bg-none);
  --nav-color: var(--nav-color-dark);
}

#main {
  .banner {
    /* min-height: 700px; */
    background-image: url('../images/recruit/banner_zp.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    position: relative;
    box-sizing: border-box;
    aspect-ratio: 1920 / 694;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* padding-top: 50px; */

    .banner-title {
      line-height: 2.8;
      width: 75%;
      font-size: 39px;
      font-weight: bold;
      text-align: center;
      color: #00705c;
      background: linear-gradient(
        to right,
        rgba(255, 255, 255, 0),
        /* 左侧：完全透明 */ rgba(255, 255, 255, 0.7),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0.8),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0.7),
        /* 中间：白色，80%不透明（可调整） */ rgba(255, 255, 255, 0) /* 右侧：完全透明 */
      );
    }
  }

  .content {
    margin: 30px 160px;

    .title {
      font-size: 30px;
      font-weight: bold;
      color: #00705c;

      margin-bottom: 40px;
    }

    .job {
      & > .item {
        display: flex;
        justify-content: space-between;
        margin-bottom: 20px;

        & > .item-title {
          font-size: 24px;
          /* color: #00705c; */
        }

        .green {
          color: #00705c;
        }

        & > .btn {
          button {
            line-height: 40px;
            background-color: #53b64c;
            padding: 0 25px;
            border-radius: 10px;
            font-size: 16px;
            color: #fff;
            border: none;
          }
        }
      }

      .item-info {
        display: flex;
        justify-content: space-between;
        /* flex-wrap: nowrap; */
        font-size: 16px;
        color: #333333;

        div {
          margin-right: 30px;
        }

        .time {
          flex-grow: 1;
        }
        .num {
          flex-grow: 1.5;
          text-align: center;
          border-left: 1px solid #333333;
          border-right: 1px solid #333333;
        }
        .addr {
          margin-left: 150px;
          flex-grow: 2;
        }
      }

      .line {
        hr {
          margin: 40px 0 48px 0;
          border: 0;
          border-top: 1px solid #dcdcdc;
        }
      }

      .show {
        display: block; /* 或者 display: inline, 根据需要 */
      }

      .hide {
        display: none;
      }

      .intro-view {
        background-color: #f0f4f5;
        padding: 50px 80px;
        margin-bottom: 40px;

        .intro {
          display: flex;
          justify-content: space-between;

          & > .item {
            width: 45%;
            display: inline-flex;
            flex-direction: column;
            color: #333333;

            & > .label {
              font-size: 20px;
            }

            & > .desc {
              margin-top: 30px;
              font-size: 16px;
              line-height: 1.8;
            }
          }
        }

        .more {
          margin-top: 20px;
          font-size: 20px;
          color: #333333;
        }
      }
    }
  }
}
